<template>
    <footer class="footerMobile mobile">
        <div class="footerMobile__inner">
            <Link :class="{active:route().current('dashboard.chat')}"
                  class="footerMobile__box"
                  :href="route('dashboard.chat')"
            >
                <div class="footerMobile__box-icon">
                    <svg width="25" height="25" viewbox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M20.7661 3.56597C18.466 1.26584 15.4146 0 12.1625 0C8.91041 0 5.85901 1.26584 3.55888 3.56597C-0.887003 8.01185 -1.19574 15.1284 2.79217 19.9293C2.4011 20.7166 1.77332 21.6325 0.841953 22.0905C0.394277 22.3118 0.142137 22.7903 0.219323 23.2843C0.296508 23.7783 0.67729 24.1642 1.17128 24.2414C1.40283 24.2774 1.73216 24.3134 2.13352 24.3134C3.20897 24.3134 4.79385 24.0613 6.41474 22.8932C8.22089 23.8658 10.1968 24.3392 12.1573 24.3392C15.3065 24.3392 18.4248 23.1196 20.7712 20.7732C23.0714 18.4731 24.3372 15.4217 24.3372 12.1696C24.3372 8.9175 23.0662 5.8661 20.7661 3.56597ZM19.7833 19.7904C16.3099 23.2637 10.9327 23.9532 6.7029 21.4679C6.42504 21.3032 6.08027 21.3547 5.85901 21.5759C5.83843 21.5862 5.81784 21.6016 5.80241 21.6171C4.40792 22.6977 3.03917 22.9241 2.13352 22.9241H2.12838C3.17295 22.1625 3.8316 21.0305 4.21753 20.1506C4.27928 20.0013 4.28957 19.847 4.25355 19.7029C4.23811 19.5639 4.18151 19.425 4.08374 19.3118C0.317091 15.0563 0.512628 8.57273 4.53656 4.5488C8.7406 0.344762 15.5792 0.344762 19.7781 4.5488C23.9873 8.75283 23.9873 15.5863 19.7833 19.7904Z" fill="white"></path>
                        <path d="M12.1623 13.0237C12.634 13.0237 13.0165 12.6412 13.0165 12.1695C13.0165 11.6977 12.634 11.3153 12.1623 11.3153C11.6905 11.3153 11.3081 11.6977 11.3081 12.1695C11.3081 12.6412 11.6905 13.0237 12.1623 13.0237Z" fill="white"></path>
                        <path d="M16.5671 13.0237C17.0388 13.0237 17.4213 12.6412 17.4213 12.1695C17.4213 11.6977 17.0388 11.3153 16.5671 11.3153C16.0953 11.3153 15.7129 11.6977 15.7129 12.1695C15.7129 12.6412 16.0953 13.0237 16.5671 13.0237Z" fill="white"></path>
                        <path d="M7.75751 13.0237C8.22926 13.0237 8.61169 12.6412 8.61169 12.1695C8.61169 11.6977 8.22926 11.3153 7.75751 11.3153C7.28575 11.3153 6.90332 11.6977 6.90332 12.1695C6.90332 12.6412 7.28575 13.0237 7.75751 13.0237Z" fill="white"></path>
                    </svg>
                </div>
                <p class="footerMobile__box-text">Чаты</p>
            </Link>

            <Link class="footerMobile__box"
                  :class="{active:route().current('dashboard.favorite')}"
                  :href="route('dashboard.favorite')"
            >
                <div class="footerMobile__box-icon">
                    <svg class="stroke" width="29" height="26" viewbox="0 0 29 26" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M1 8.89541C1 14.4641 5.85347 19.9412 13.5075 24.6471C13.8066 24.817 14.2145 25 14.5 25C14.7855 25 15.1933 24.817 15.4788 24.6471C23.1465 19.9412 28 14.4641 28 8.89541C28 4.26799 24.6963 1 20.2915 1C17.7628 1 15.7236 2.15033 14.5 3.915C13.2764 2.16338 11.2235 1 8.70846 1C4.30367 1 1 4.26799 1 8.89541ZM3.18885 8.89541C3.18885 5.41832 5.52719 3.10456 8.68126 3.10456C11.2372 3.10456 12.6918 4.63398 13.5755 5.9412C13.9426 6.46407 14.1737 6.60786 14.5 6.60786C14.8263 6.60786 15.0302 6.45097 15.4244 5.9412C16.3489 4.66014 17.7764 3.10456 20.3187 3.10456C23.4728 3.10456 25.8111 5.41832 25.8111 8.89541C25.8111 13.7582 20.4682 19 14.7719 22.634C14.6359 22.7255 14.5544 22.7909 14.5 22.7909C14.4456 22.7909 14.3505 22.7255 14.2145 22.634C8.53172 19 3.18885 13.7582 3.18885 8.89541Z" fill="#2D2D2E" stroke="#F8F8F8"></path>
                    </svg>
                </div>
                <p class="footerMobile__box-text">Избранное</p>
            </Link>

            <Link class="footerMobile__box"
                  :class="{active:route().current('games')}"
                  :href="route('games')"
            >
                <div class="footerMobile__box-icon">
                    <svg width="25" height="25" viewbox="0 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M19.5424 6.30829L19.5917 6.6H19.8875H24.65V22.5C24.65 23.6817 23.6817 24.65 22.5 24.65H2.5C1.3183 24.65 0.35 23.6817 0.35 22.5V6.6H5.11312H5.40902L5.45825 6.30823C6.02794 2.93176 8.96577 0.35 12.5 0.35C16.0342 0.35 18.9721 2.93176 19.5424 6.30829ZM17.3356 6.6H17.7878L17.6745 6.16227C17.0782 3.85954 14.9888 2.15 12.5 2.15C10.0112 2.15 7.92179 3.85954 7.32555 6.16227L7.21221 6.6H7.66438H17.3356ZM5.35 8.75V8.4H5H2.5H2.15V8.75V22.5V22.85H2.5H22.5H22.85V22.5V8.75V8.4H22.5H20H19.65V8.75V10.9H17.85V8.75V8.4H17.5H7.5H7.15V8.75V10.9H5.35V8.75Z" fill="white" stroke="none" stroke-width="0.7"></path>
                    </svg>
                </div>
                <p class="footerMobile__box-text">Маркет</p>
            </Link>

            <Link class="footerMobile__box"
                  :class="{active:route().current('basket')}"
                  :href="route('basket')">
                <div class="footerMobile__box-icon">
                    <svg width="25" height="24" viewbox="0 0 25 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M4.77138 15.7129C4.83048 16.2811 5.14542 16.7908 5.5936 17.135C5.34272 17.4231 5.19086 17.7957 5.19086 18.2026V19.7277C5.19086 20.3851 5.57958 20.9514 6.14936 21.2174C6.11707 21.3693 6.09997 21.5266 6.09997 21.6877C6.09997 22.9627 7.16271 24 8.46894 24C9.77522 24 10.8379 22.9627 10.8379 21.6877C10.8379 21.5832 10.8302 21.4805 10.8163 21.3796H14.7129C14.6991 21.4805 14.6913 21.5832 14.6913 21.6877C14.6913 22.9627 15.754 24 17.0603 24C18.3665 24 19.4292 22.9627 19.4292 21.6877C19.4292 20.4127 18.3665 19.3754 17.0603 19.3754C16.2679 19.3754 15.5656 19.7575 15.1353 20.3424H10.3939C9.96355 19.7575 9.26131 19.3754 8.46888 19.3754C7.70758 19.3754 7.02947 19.7282 6.59577 20.2746C6.39174 20.1729 6.25334 19.9668 6.25334 19.7278V18.2026C6.25334 17.8639 6.53585 17.5884 6.88313 17.5884C6.88475 17.5884 6.88632 17.5882 6.88794 17.5881C6.89118 17.5882 6.89442 17.5884 6.8976 17.5884H19.3203C20.3475 17.5884 21.4114 16.8451 21.7425 15.8962L24.8992 6.84933C25.0778 6.33745 25.0171 5.82133 24.7324 5.43327C24.4479 5.04521 23.9669 4.82261 23.4129 4.82261H22.2799L18.8657 1.47423C18.3349 0.956227 17.4746 0.951733 16.9376 1.4602L11.1758 2.97291L9.62908 0.266053C9.48618 0.0159432 9.16263 -0.0736994 8.90628 0.0657282L5.81276 1.74972C5.68964 1.8167 5.59891 1.92871 5.56046 2.06103C5.52195 2.19334 5.5389 2.33514 5.60757 2.45526L6.96025 4.82256H5.67876C5.33705 4.82256 5.01517 4.90776 4.73606 5.06749L4.48517 2.61928C4.458 2.35416 4.22943 2.1523 3.95649 2.1523H0.531317C0.237878 2.1523 0 2.38448 0 2.67089C0 2.95731 0.237878 3.18949 0.531317 3.18949H3.47567L4.77138 15.7129ZM17.0604 20.4126C17.7807 20.4126 18.3667 20.9846 18.3667 21.6877C18.3667 22.3907 17.7807 22.9628 17.0604 22.9628C16.3401 22.9628 15.754 22.3908 15.754 21.6877C15.754 20.9846 16.3401 20.4126 17.0604 20.4126ZM8.46899 20.4126C9.1893 20.4126 9.77537 20.9846 9.77537 21.6877C9.77537 22.3907 9.1893 22.9628 8.46899 22.9628C7.74867 22.9628 7.16266 22.3908 7.16266 21.6877C7.16266 20.9846 7.74867 20.4126 8.46899 20.4126ZM18.1137 2.20673L20.7809 4.82256H14.9949L17.6739 2.20767C17.7954 2.08908 17.993 2.08908 18.1137 2.20673ZM15.4314 2.9297L13.4922 4.82256H12.2327L11.7095 3.90693L15.4314 2.9297ZM6.79433 2.40295L8.95982 1.22417L11.016 4.82256H8.17691L6.79433 2.40295ZM23.8935 6.51486L20.7367 15.5617C20.5528 16.0888 19.891 16.5511 19.3204 16.5511H6.89776C6.37135 16.5511 5.88168 16.1193 5.82854 15.6082L5.64081 13.8008H17.064C17.3575 13.8008 17.5953 13.5687 17.5953 13.2823C17.5953 12.9958 17.3575 12.7637 17.064 12.7637H5.53313L4.90436 6.70985C4.90436 6.7097 4.90436 6.70965 4.90436 6.70955L4.90426 6.70842C4.88032 6.47782 4.94873 6.26272 5.097 6.1026C5.24197 5.94599 5.44858 5.85975 5.67876 5.85975H22.0543C22.0561 5.8598 22.0578 5.86 22.0596 5.86C22.0613 5.86 22.063 5.8598 22.0647 5.85975H23.4131C23.623 5.85975 23.7848 5.92267 23.8686 6.03691C23.9524 6.1511 23.9612 6.32085 23.8935 6.51486Z" fill="#2D2D2E"></path>
                    </svg>
                </div>
                <p class="footerMobile__box-text">КОРЗИНА</p>
            </Link>

            <Link class="footerMobile__box"
                  :class="{active:route().current('dashboard.lots.index')}"
                  :href="route('dashboard.lots.index')">
                <div class="footerMobile__box-icon">
                    <svg class="stroke" width="30" height="22" viewbox="0 0 30 22" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M19.7925 14.7587C17.665 14.7587 15.9326 13.0724 15.9326 10.9989C15.9326 8.92989 17.665 7.24241 19.7925 7.24241H27.1324V14.7587H19.7925ZM19.6667 10.0904C19.1527 10.0904 18.734 10.4982 18.734 10.9989C18.734 11.5018 19.1527 11.9073 19.6667 11.9073C20.1806 11.9073 20.5993 11.5018 20.5993 10.9989C20.5993 10.4982 20.1806 10.0904 19.6667 10.0904ZM24.7602 1H5.14802C4.63172 1 4.21539 1.40784 4.21539 1.90847C4.21539 2.4091 4.63172 2.81693 5.14802 2.81693H24.7602C26.068 2.81693 27.1324 3.85371 27.1324 5.13106V5.42433H19.7925C16.6359 5.42433 14.0662 7.92405 14.0662 10.9989C14.0662 14.0748 16.6359 16.5768 19.7925 16.5768H27.1324V16.8701C27.1324 18.1451 26.068 19.1819 24.7602 19.1819H5.23858C3.93078 19.1819 2.86643 18.1451 2.86643 16.8701V5.04056C2.86643 4.53763 2.44892 4.13094 1.9338 4.13094C1.41751 4.13094 1 4.53763 1 5.04056V16.8701C1 19.1487 2.90171 21 5.23858 21H24.7602C27.0971 21 29 19.1487 29 16.8701V5.13106C29 2.8513 27.0971 1 24.7602 1Z" fill="#2D2D2E" stroke="#F8F8F8"></path>
                    </svg>
                </div>
                <p class="footerMobile__box-text">Лоты</p>
            </Link>
        </div>
    </footer>
</template>

<script setup>
import {Link} from "@inertiajs/vue3";
</script>

